# Gets the current list of film availability entities

The details of each film availability is based on the collated data of every site that is screening the film.
#### Licenses Required
- Vista.Ocapi

Endpoint: GET /ocapi/v1/films/availability
Version: V1

## Description:

  - `Licenses Required` ()
    Vista.Ocapi

## Header parameters:

  - `Connect-Region-Code` (string)
    Region Code

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `filmAvailabilities` (array, required)
    Gets the list of film availability entities

  - `filmAvailabilities.filmId` (string, required)
    Gets the unique identifier of the film

  - `filmAvailabilities.siteId` (string)
    Gets the unique identifier of the site

  - `filmAvailabilities.categories` (array, required)
    Gets the list of film category entities

  - `filmAvailabilities.showtimeAttributeIds` (array, required)
    Gets the list of unique identifiers of the attribute entities being screened

  - `filmAvailabilities.advanceBookingPeriods` (array, required)
    Gets the list of film advance booking period entities

  - `filmAvailabilities.advanceBookingPeriods.startsAt` (string, required)
    Gets the date and time that the booking period starts

  - `filmAvailabilities.advanceBookingPeriods.orderBookingModes` (array, required)
    Gets the order booking modes that the booking period applies to

  - `filmAvailabilities.advanceBookingPeriods.restriction` (string, required)
    Gets the restriction
    Enum: "None", "MemberReward"

  - `filmAvailabilities.advanceBookingPeriods.rewardId` (integer)
    Gets the unique identifier of the reward that the booking period is restricted to

  - `relatedData` (object, required)
    Gets the related data for the film availability entities

  - `relatedData.attributes` (array, required)
    Gets the list of related attribute entities

  - `relatedData.attributes.id` (string, required)
    Gets the unique identifier

  - `relatedData.attributes.name` (object, required)
    Gets the name text, and its translations

  - `relatedData.attributes.name.text` (string, required)
    Gets the text in the default language

  - `relatedData.attributes.name.translations` (array, required)
    Gets the translations of the translatable Text in other languages

  - `relatedData.attributes.name.translations.languageTag` (string, required)
    Gets the IETF (RFC 4646) language tag that the translation Text has been translated for
    Example: en-US

  - `relatedData.attributes.name.translations.text` (string, required)
    Gets the translated text

  - `relatedData.attributes.shortName` (object, required)
    Gets the short name text, and its translations

  - `relatedData.attributes.description` (object)
    Gets the description text, and its translations

  - `relatedData.attributes.importantMessage` (object)
    Gets the important message text, and its translations

  - `relatedData.attributes.displayPriority` (integer, required)
    Gets the display priority used for sorting

  - `relatedData.attributes.isPromoted` (boolean, required)
    Gets a value indicating whether the attribute should be displayed with prominence

